Subject: Re: [Netmod-ver-dt] Preliminary IETF 107 slides for YANG Packages

From: "Wubo (lana)" <[email-masked]>
Date: Mon, 23 Mar 2020 09:48:45 +0000

Hi Rob,

Thanks for the detailed review. I think all the suggestions are good and have been updated accordingly.

Please take a look whether there are any other comments.

Thanks,
Bo

发件人: Rob Wilton (rwilton) [mailto:[email-masked]]
发送时间: 2020年3月20日 21:58
收件人: Wubo (lana) <[email-masked]>; [email-masked]
主题: RE: Preliminary IETF 107 slides for YANG Packages

Hi Bo,

Thanks for putting these together.

I think that the slides look good.  Some minor comments/suggestions:

•       On slide 2, I would change “import other packages” to “include other packages”.
•       On slide 3, I would delete “Simplify Packages naming -  from the combination of pkg-name and pkg-version to pkg-name, and add “Package versions – Can use a revision label (inc Semver) or a Revision Date”
•       On slide 6:, I suggest:
•       Adding as the first bullet: “The draft defines the relationship between packages and datastore schema, with recommendations of how packages should be used to define datastore schema”.  I think that this can replace “Given that there are many ways that a datastore schema could be represented using package, the principle of package definition is added”
•       Changing “Package conformance  check at package level to ensure that the datastore schema used by the server is compatible with the client” to “Packages can be used for conformance – i.e., clients can use the package definitions (available offline) to efficiently check that they are compatible with a server”
•       On slide 8, I suggest:
•       “has to at least have” => “has to specify”
•       “…if a module revision is not specified” => “…if a module revision is not specified, i.e. it only matches a module with no revision date”.
•       Yes, I think that you should include the XML namespace issue here as well. “Related: Is it okay for namespace to be optional, noting that it is mandatory in YANG library?”.
•       My thinking here is that the namespace is already available in the module definition anyway, and the module name (and URI) identifies the module anyway.
•       Add “Proposal: Require every module has a revision date, keep XML namespace as optional”
•       On slide 9, I suggest:
•       “Given that YANG modules just use date, date is sufficient” => “Perhaps a revision date is sufficient? Although, if not being used as the package version, there would be no guarantees that this would uniquely identify a package.
•       “Proposal: Retain timestamp to avoid any potential confusion with a revision-date used as a package version”
•       On slide 10, I suggest:
•       “Proposal: Not sure, seeking suggestions from the WG”

Regards,
Rob

From: Netmod-ver-dt <[email-masked]<mailto:[email-masked]>> On Behalf Of Wubo (lana)
Sent: 19 March 2020 10:40
To: Rob Wilton (rwilton) <rwilton=[email-masked]<mailto:rwilton=[email-masked]>>; [email-masked]<mailto:[email-masked]>
Subject: [Netmod-ver-dt] Preliminary IETF 107 slides for YANG Packages

Hi all,

I've prepared some slides for the YANG packages changes and major issues. Could you take a look?

Thanks,
Bo